Dziura w Gadu-Gadu?

Polska grupa Vexillium opublikowała informację o odkryciu w aplikacji Gadu-Gadu luki pozwalającej na wykonywanie złośliwego kodu.

Błąd znajduje się w kodzie obsługującym plik z emotikonkami wczytywanymi przez program i jest typowym błędem przepełnienia bufora. Program nie sprawdza długości bufora przy pobieraniu z konfiguracji nazwy pliku zawierającego ikony. W związku z tym wydaje się, że atak jest ograniczony do sytuacji, w której komuś uda się nadpisać plik konfiguracyjny Gadu-Gadu na koncie danego użytkownika. Producent

opublikował poprawioną wersję.

http://vexillium.org/advisory_eng.txt

***

Więcej o bezpieczeństwie w sieci:

http://www.securitystandard.pl/


Zobacz również